<?php
 // variables de cabecera
 $s_nitEmpresa = $_GET['s_nitEmpresa'];
 $s_codSede    = $_GET['s_codSede'];
 $s_usuario    = $_GET['s_usuario'];
 $s_empresa    = $_GET['s_empresa'];
 $s_cargo      = $_GET['s_cargo'];
 $s_idUsuario  = $_GET['s_idUsuario'];
 
 // toma nombre  del usuario
 include("conexionOdo.php");

 $query = " SELECT logUsuario as nomUsu FROM SIME_BAS_USUARIOS WHERE idUsuario = '$s_idUsuario'";
 $result = mysql_query($query) or die('Consulta de usuario fallida: ' . mysql_error()); 
 $line = mysql_fetch_array($result, MYSQL_ASSOC);
 $usuarioArch = $line[nomUsu]; 
 
 //verifica si esta logeado
 $query = " SELECT conectado AS conec FROM SIME_LOG_CON WHERE logUsuario = '$usuarioArch'";
 $result = mysql_query($query) or die('Consulta fallida: ' . mysql_error()); 
 $line = mysql_fetch_array($result, MYSQL_ASSOC);
 $usuConectado = $line[conec]; 

 //libera resultados 
 mysql_free_result($result); 

 if ($usuConectado!="S")
 {
  // Cerrar la conexion
  mysql_close($link);   

  include("index.html");
  exit;
 }
 //fin verifica   
?>


<html>
 <head>
  <?php  
    echo "<meta http-equiv='refresh' content='900; URL=ctlLog.php?usu=$s_idUsuario&mot=DTO'>"; //900 = 15 MINUTOS DE ESPERA
  ?>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <TITLE>Actualizar  usuarios</TITLE>
  <style type="text/css" media="all">@import "./estilos.css";</style>
  <script src="js/custom.js"></script> 
  <script language=JavaScript>
    function inhabilitar(){
     //alert ("Esta funcion esta inhabilitada.\n\nPerdonen las molestias.")
     return false
    }
    document.oncontextmenu=inhabilitar
  </script>
 </head>

 <?php
   $s_vengoDe = $_GET['s_vengoDe'];

   if ($s_vengoDe=="grl")
   {
    $volverAction = "menuOpciones.php";
    $irAction     = "action=proPaciente.php";
    $fondo        = "class='fondo'";
    $banner       = "'imagenes/cabeceraSime1.jpg' width='987'";
    
   }
   if ($s_vengoDe=="odo")
   {
    $volverAction = "sioMenu.php";
    $irAction     = "action=sioProPac.php";
    $fondo        = "class='fondoOd'";
    $banner       = "'imagenes/odBanner.jpg' width='987'";
   }

    $w_fecha      = date("Y-m-d",time());

    //adecua campos string para ser enviado por la url
    
    $s_usuarioSinESpacios = str_replace(" ","%20",$s_usuario);
    $s_usuaUrlCode = urlencode($s_usuario);
    $s_usuarioUrlDecode = urldecode($s_usuaUrlCode );

    //
    $s_cargoSinESpacios = str_replace(" ","%20",$s_cargo);
    $s_cargoUrlCode = urlencode($s_cargo);
    $s_cargoUrlDecode = urldecode($s_cargoUrlCode );
    //

     //
     $s_empresaSinESpacios = str_replace(" ","%20",$s_empresa);
     $s_empresaUrlCode = urlencode($s_empresa);
     $s_empresaUrlDecode = urldecode($s_empresaUrlCode );

     // 
 
  //variables para actualizacion
  $s_idUsuario   = $_GET['s_idUsuario'];
  $s_nitEmpresa  = $_GET['s_nitEmpresa'];
  $s_codSede     = $_GET['s_codSede'];
  $w_codCargo    = $_GET['w_codUsuario'];
  $w_logUsuario  = $_GET['w_logUsuario'];
  $w_nombres     = $_GET['w_nombres'];
  $w_apellido1   = $_GET['w_apellido1'];
  $w_apellido2   = $_GET['w_apellido2'];
  $w_clave       = $_GET['w_clave'];
  $w_registro    = $_GET['w_registro'];
  $perfil        = $_GET['perfil'];
  
  $estado        = $_GET['estado'];
  
  
  // conexion a la base de datos
  include("conexion.php");

  // Realiza consulta de usuarios MySQL
  $query = "UPDATE SIME_BAS_USUARIOS SET " .
           " nomUsuario     = '$w_nombres', " .
           " apell1Usuario  = '$w_apellido1', " .
           " apell2Usuario  = '$w_apellido2', " .
           " claveUsuario   = '$w_clave', " .
           " codPerfil      = '$perfil', ".
           " estado         = '$estado', " .
           " registroMedico = '$w_registro',".
           " fechaCreacion  = '$w_fecha' ".
           " WHERE nitEmpresa='$s_nitEmpresa' AND codSede='$s_codSede' AND logUsuario = '$w_logUsuario' ";

  $result = mysql_query($query) or die('Modificacion fallida: ' . mysql_error());  
  
  if ($result==1){
    $mensaje="REGISTRO ACTUALIZADO";
   }
   else{
     $mensaje="NO SE ACTUALIZO EL REGISTRO";
   }  
  
  //$cantRegistros=mysql_num_rows($result);
 ?>
 <body <?=$fondo?> onload="nobackbutton();">
    <table align="center">
      <tr>
        <td><img src=<?=$banner?>/></td>
      </tr>  
    </table>
    
    <table align="center" background="imagenes/fondoUsr1.jpg" width="987" height="45">
      <tr>
        <td class="subtitulos"><label>Usuario: </label><?=$s_usuarioUrlDecode?></td>
        <td class="subtitulos"><label>Empresa: </label><?=$s_empresaUrlDecode?></td>
        <td class="subtitulos"><label>Cargo: </label><?=$s_cargoUrlDecode?></td>   
        
        <input style="visibility:hidden" name="s_usuario" id="s_usuario" value="<?=$s_usuarioUrlDecode?>"/> 
        <input style="visibility:hidden" name="s_empresa" id="s_empresa" value="<?=$s_empresaUrlDecode?>"/>
        <input style="visibility:hidden" name="s_cargo" id="s_cargo" value="<?=$s_cargoUrlDecode?>"/>
      </tr>  
    </table>
 
 <table align='center' border='1' cellpading='0'>
   <tr>
     <td colspan='4'><?=$mensaje?></td>
   </tr> 
   <tr> 
     <td align="center"><a href=usuariosBuscar.php?&s_usuario=<?=$s_usuario?>&s_nitEmpresa=<?=$s_nitEmpresa?>&s_codSede=<?=$s_codSede?>&s_cargo=<?=$s_cargo?>&s_empresa=<?=$s_empresa?>&s_idUsuario=<?=$s_idUsuario?>&s_vengoDe=<?=$s_vengoDe?>><img src="imagenes/btnVol.jpg"></a></td>
   </tr>
 </table>
 
  
 <?php
 // Liberar resultados
  mysql_free_result($result);
 
  // Cerrar la conexion
  mysql_close($link);
 ?>  
</HTML>